Orxonox: Tcl::details::class_definer< C > Class Template Reference

# Tcl::details::class_definer< C > Class Template Reference

`#include <src/cpptcl/cpptcl.h>`

List of all members.

## Public Member Functions

| class_definer (boost::shared_ptr< class_handler< C > > ch)
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6, T7, T8, T9) const, policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6, T7, T8, T9), policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6, T7, T8) const, policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6, T7, T8), policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6, T7) const, policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6, T7), policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6) const, policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5, T6), policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5) const, policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4, T5), policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4) const, policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3, typename T4>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3, T4), policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3) const, policies const &p=policies())
template<typename R, typename T1, typename T2, typename T3>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2, T3), policies const &p=policies())
template<typename R, typename T1, typename T2>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2) const, policies const &p=policies())
template<typename R, typename T1, typename T2>
class_definer & | def (std::string const &name, R(C::*f)(T1, T2), policies const &p=policies())
template<typename R, typename T1>
class_definer & | def (std::string const &name, R(C::*f)(T1) const, policies const &p=policies())
template<typename R, typename T1>
class_definer & | def (std::string const &name, R(C::*f)(T1), policies const &p=policies())
template<typename R>
class_definer & | def (std::string const &name, R(C::*f)() const, policies const &p=policies())
template<typename R>
class_definer & | def (std::string const &name, R(C::*f)(), policies const &p=policies())

## Private Attributes

boost::shared_ptr < class_handler< C > > | ch_

### template<class C>
class Tcl::details::class_definer< C >

## Constructor & Destructor Documentation

template<class C>

Tcl::details::class_definer< C >::class_definer | ( | boost::shared_ptr< class_handler< C > > | ch | ) | `[inline]`

## Member Function Documentation

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6, T7, T8, T9) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8, typename T9>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6, T7, T8, T9) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6, T7, T8) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7, typename T8>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6, T7, T8) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6, T7) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6, typename T7>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6, T7) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5, T6) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4, typename T5>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4, T5) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3, typename T4>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3, T4) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2, typename T3>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2, T3) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1, typename T2>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1, T2) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1) const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R, typename T1>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)(T1) | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)() const | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

template<class C>
template<typename R>

class_definer& Tcl::details::class_definer< C >::def | ( | std::string const & | name,
|  | R(C::*)() | f,
|  | policies const & | p = `policies()` |
| ) |  |  | `[inline]`

## Member Data Documentation

template<class C>

boost::shared_ptr<class_handler<C> > Tcl::details::class_definer< C >::ch_`[private]`

Referenced by Tcl::details::dispatch< void >::do_dispatch(), Tcl::details::dispatch< R >::do_dispatch(), Tcl::details::callback_base::~callback_base(), and Tcl::details::object_cmd_base::~object_cmd_base().

The documentation for this class was generated from the following file:

- src/cpptcl/cpptcl.h